{
  "name": "blog-app",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "build": "tsc --build tsconfig.json",
    "build:watch": "tsc --build tsconfig.json --watch",
    "test": "jest --coverage",
    "lint": "eslint ./src --ext .ts",
    "start": "npm run build && node dist/app.js"
  },
  "commitlint": {
    "extends": "@commitlint/config-conventional"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@commitlint/config-conventional": "^17.4.3",
    "@types/jest": "^29.4.0",
    "@typescript-eslint/eslint-plugin": "^5.52.0",
    "@typescript-eslint/parser": "^5.52.0",
    "commitlint": "^17.4.3",
    "eslint": "^8.34.0",
    "husky": "^8.0.3",
    "jest": "^29.4.2",
    "ts-jest": "^29.0.5",
    "typescript": "^4.9.5"
  },
  "dependencies": {
    "@types/body-parser": "^1.19.2",
    "@types/express": "^4.17.17",
    "@types/mongoose": "^5.11.97",
    "@types/reflect-metadata": "^0.1.0",
    "@types/uuid": "^9.0.0",
    "body-parser": "^1.20.1",
    "express": "^4.18.2",
    "mongoose": "^6.9.2",
    "reflect-metadata": "^0.1.13",
    "typedi": "^0.10.0",
    "uuid": "^9.0.0"
  }
}
